# I3DWireFrameSet.h File Reference

## Classes
struct | TWFHitInfo
struct | I3DShWF
struct | I3DExWF
struct | I3DShWireFrameSet
struct | TRACKINFO
struct | I3DExWireFrameSet
class | TWFPointList
struct | TWFConnection
class | TWFConnectionList
## Enumerations
enum | EWFHandleType { kWFNone = 0, kWFSquareHandle = 1, kWFRoundHandle = 2, kWFEmptySquareHandle = 3, kWFEmptyRoundHandle = 4, kWFRoundHandleNoHit = 5, kWFInvalidHandle = 0x7FFFFFFF }
enum | EWFModifierKeys { kWFShift = 0x1, kWFCommand = 0x2, kWFOption = 0x4, kWFControl = 0x8 }
enum | EWFListType { kWFPointList = 0x1, kWFConnectionList = 0x2, kWFFacetList = 0x4, kWFAllListTypes = kWFPointList+kWFConnectionList+kWFFacetList, kWFInvalidListType = 0x7FFFFFFF }
enum | EWFElementType { kWFPoint = 0x1, kWFEdge = 0x2, kWFFacet = 0x4, kWFAllElements = kWFPoint+kWFEdge+kWFFacet, kWFInvalidElemType = 0x7FFFFFFF }
## Functions
| MCDEFINE_GUID (IID_I3DShWF, 0x8bf609d8, 0xb061, 0x451c, 0x9d, 0x58, 0x51, 0xad, 0x96, 0x61, 0xe8, 0xc2)
| MCDEFINE_GUID (IID_I3DExWF, 0x5d1b5ba0, 0xae3b, 0x49cc, 0xa6, 0x4c, 0xe1, 0x2e, 0x10, 0x42, 0xa0, 0x63)
| MCDEFINE_GUID (IID_I3DShWireFrameSet, 0x3279c201, 0xbd5a, 0x4aaa, 0xb1, 0xfd, 0x7f, 0x6f, 0x44, 0x9a, 0x9c, 0x8b)
| MCDEFINE_GUID (IID_I3DExWireFrameSet, 0x73836687, 0x220a, 0x457b, 0x95, 0x4b, 0x2f, 0x4f, 0x88, 0x7a, 0xbf, 0xec)

## Enumeration Type Documentation

enum EWFElementType

The diferent kinds of wireframe elements keep values as bitfield!

Enumerator:

  kWFPoint | a point
  kWFEdge | a segment
  kWFFacet | not supported yet
  kWFAllElements |
  kWFInvalidElemType |

enum EWFHandleType

Defines the style in which a point should be drawn in the interactive renderer. Used by TWFPointList

Enumerator:

  kWFNone | no drawing
  kWFSquareHandle | a full square point
  kWFRoundHandle | a full round point
  kWFEmptySquareHandle | an empty square point
  kWFEmptyRoundHandle | an empty round point
  kWFRoundHandleNoHit | a full round point but that won't be hit
  kWFInvalidHandle |

enum EWFListType

The diferent kinds of wireframe lists keep values as bitfield!

Enumerator:

  kWFPointList | TWFPointList.
  kWFConnectionList | TWFConnectionList.
  kWFFacetList | not supported yet
  kWFAllListTypes |
  kWFInvalidListType |

enum EWFModifierKeys

Enumerator:

  kWFShift |
  kWFCommand |
  kWFOption |
  kWFControl |

## Function Documentation

MCDEFINE_GUID | ( | IID_I3DExWireFrameSet | ,
|  | 0x73836687 | ,
|  | 0x220a | ,
|  | 0x457b | ,
|  | 0x95 | ,
|  | 0x4b | ,
|  | 0x2f | ,
|  | 0x4f | ,
|  | 0x88 | ,
|  | 0x7a | ,
|  | 0xbf | ,
|  | 0xec |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_I3DShWireFrameSet | ,
|  | 0x3279c201 | ,
|  | 0xbd5a | ,
|  | 0x4aaa | ,
|  | 0xb1 | ,
|  | 0xfd | ,
|  | 0x7f | ,
|  | 0x6f | ,
|  | 0x44 | ,
|  | 0x9a | ,
|  | 0x9c | ,
|  | 0x8b |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_I3DExWF | ,
|  | 0x5d1b5ba0 | ,
|  | 0xae3b | ,
|  | 0x49cc | ,
|  | 0xa6 | ,
|  | 0x4c | ,
|  | 0xe1 | ,
|  | 0x2e | ,
|  | 0x10 | ,
|  | 0x42 | ,
|  | 0xa0 | ,
|  | 0x63 |  |
| ) |  |  |

MCDEFINE_GUID | ( | IID_I3DShWF | ,
|  | 0x8bf609d8 | ,
|  | 0xb061 | ,
|  | 0x451c | ,
|  | 0x9d | ,
|  | 0x58 | ,
|  | 0x51 | ,
|  | 0xad | ,
|  | 0x96 | ,
|  | 0x61 | ,
|  | 0xe8 | ,
|  | 0xc2 |  |
| ) |  |  |